summaryrefslogtreecommitdiffstats
path: root/run/devel.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run/devel.sh')
-rw-r--r--run/devel.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/run/devel.sh b/run/devel.sh
new file mode 100644
index 0000000..57ec7f0
--- /dev/null
+++ b/run/devel.sh
@@ -0,0 +1,9 @@
+#! /bin/bash
+
+set -o errexit
+
+if [ ! -d ../repos ]; then
+ buildah unshare bash ../build/extract.sh
+fi
+
+podman run --name "ccpi-devel" -it --rm --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data -v ~/ccpi/repos:/ccpi/repos localhost/ccpi bash -c "bash /root/setup/provision.sh; bash"